Subject: 30.0.93: grouped type declarations fail to indent in go-ts-mode

From: Gerard Vermeulen <[email-masked]>
Date: Thu, 23 Jan 2025 13:09:45 +0000

Hi,

Automatic indenting when typing works in go-ts-mode for grouped
var declarations like:

var (
         a = 1
         b = 2
)

but not for type declarations (taken from
https://github.com/uber-go/guide/blob/master/style.md#group-similar-declarations
) like:

type (
Area float64
Volume float64
)

where I have to add the tabs (or spaces) myself.
I tried to change "type_spec" to "type_spec_list" in the defvar
go-ts-mode--indent-rules expression, but that did not fix it.

I am using a recent 30.0.93 git checkout.

Can it be fixed?

Best regards -- Gerard